{"openapi":"3.0.2","info":{"title":"A beautiful and amazing XXXServiceLambda","version":"2018-05-10","description":"An example service, deployed with the Octane Service creator,\nwhich will echo the string"},"paths":{"/echo":{"post":{"description":"Echo operation that receive input from body, query-string, and path-parameters.","operationId":"echo","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/echoRequestContent"}}}},"responses":{"200":{"description":"echo 200 response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/echoResponseContent"}}}},"400":{"description":"InvalidInputException 400 response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvalidInputExceptionResponseContent"}}}}},"x-amazon-apigateway-integration":{"credentials":{"Fn::Sub":"${APIGatewayExecutionRole.Arn}"},"httpMethod":"POST","type":"aws_proxy","uri":{"Fn::Sub":"arn:${AWS::Partition}:apigateway:${AWS::Region}:lambda:path/2015-03-31/functions/${LambdaFunction.Arn}/invocations"}}}}},"components":{"schemas":{"InvalidInputExceptionResponseContent":{"type":"object","properties":{"message":{"type":"string"}}},"echoRequestContent":{"type":"object","properties":{"string":{"type":"string"}}},"echoResponseContent":{"type":"object","properties":{"string":{"type":"string"}}}},"securitySchemes":{"aws.auth.sigv4":{"type":"apiKey","description":"AWS Signature Version 4 authentication","name":"Authorization","in":"header","x-amazon-apigateway-authtype":"awsSigv4"}}},"security":[{"aws.auth.sigv4":[]}]}